Last Comment Bug 407472 - AMO Localization (zh-CN)
: AMO Localization (zh-CN)
Status: RESOLVED FIXED
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Localization (show other bugs)
: 3.0
: All All
-- normal
: ---
Assigned To: Hao Shen
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-08 00:04 PST by Hao Shen
Modified: 2016-02-04 14:50 PST (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
developer agreement (891 bytes, application/octet-stream)
2008-01-19 06:23 PST, Hao Shen
no flags Details
error404 (871 bytes, application/octet-stream)
2008-01-19 06:23 PST, Hao Shen
no flags Details
flowchart (191 bytes, text/plain)
2008-01-19 06:24 PST, Hao Shen
no flags Details
messages.po (105.02 KB, application/octet-stream)
2008-01-19 06:24 PST, Hao Shen
no flags Details
nomination (1.13 KB, application/octet-stream)
2008-01-19 06:25 PST, Hao Shen
no flags Details
policy (13.37 KB, application/octet-stream)
2008-01-19 06:25 PST, Hao Shen
no flags Details
sandbox (1.53 KB, application/octet-stream)
2008-01-19 06:25 PST, Hao Shen
no flags Details
submission help (3.90 KB, application/octet-stream)
2008-01-19 06:26 PST, Hao Shen
no flags Details
developer agreement (891 bytes, application/octet-stream)
2008-01-20 02:14 PST, Hao Shen
no flags Details
error404 (877 bytes, application/octet-stream)
2008-01-20 02:15 PST, Hao Shen
no flags Details
messages.po (104.87 KB, application/octet-stream)
2008-01-20 02:15 PST, Hao Shen
no flags Details
nomination (1.13 KB, application/octet-stream)
2008-01-20 02:15 PST, Hao Shen
no flags Details
policy (13.38 KB, application/octet-stream)
2008-01-20 02:16 PST, Hao Shen
no flags Details
sandbox (1.53 KB, application/octet-stream)
2008-01-20 02:16 PST, Hao Shen
no flags Details
submission help (3.90 KB, application/octet-stream)
2008-01-20 02:17 PST, Hao Shen
no flags Details
messages.po (104.88 KB, application/octet-stream)
2008-01-20 18:15 PST, Hao Shen
no flags Details
messages.po zh-CN for remora 3.2 (137.90 KB, application/octet-stream)
2008-03-16 06:19 PDT, Hao Shen
no flags Details
new specialized page to zh-CN (537 bytes, application/octet-stream)
2008-03-16 06:21 PDT, Hao Shen
no flags Details
messages.po zh-CN for remora 3.2 with some reviews (137.86 KB, application/octet-stream)
2008-03-17 07:14 PDT, Hao Shen
no flags Details
error404 for remora 3.2 (877 bytes, application/octet-stream)
2008-03-17 07:15 PDT, Hao Shen
no flags Details
messages.po for some fixes (138.11 KB, application/octet-stream)
2008-03-19 07:06 PDT, Hao Shen
no flags Details
messages.po for date formatting fixed (138.17 KB, application/octet-stream)
2008-03-29 00:54 PDT, Hao Shen
no flags Details
messages.po for r12237 (137.71 KB, application/octet-stream)
2008-04-20 01:18 PDT, Hao Shen
no flags Details
messages.po for some fixes (138.22 KB, application/octet-stream)
2008-04-26 23:56 PDT, Hao Shen
no flags Details
messages.po update on 20080517 (131.54 KB, application/octet-stream)
2008-05-17 01:35 PDT, Hao Shen
no flags Details
some fix on 080720 (140.27 KB, application/octet-stream)
2008-07-20 07:19 PDT, Hao Shen
no flags Details
some fix for r18968 (129.87 KB, application/octet-stream)
2008-10-11 21:06 PDT, Hao Shen
no flags Details
some fix for r21653 (136.32 KB, application/octet-stream)
2009-01-23 05:26 PST, Hao Shen
no flags Details
AMO compatibility dashboard strings (140.36 KB, application/octet-stream)
2009-01-27 02:40 PST, Hao Shen
no flags Details
Draft translated sandbox review process (8.30 KB, image/gif)
2009-01-27 15:54 PST, Ryan Doherty (:rdoherty)
no flags Details
2nd draft of sandbox review process (7.91 KB, image/gif)
2009-01-28 17:12 PST, Ryan Doherty (:rdoherty)
no flags Details
update r23024 for messages.po (155.49 KB, application/octet-stream)
2009-03-14 01:02 PDT, Hao Shen
no flags Details

Description User image Hao Shen 2007-12-08 00:04:07 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; zh-CN; rv:1.9b1) Gecko/2007110904 Firefox/3.0b1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; zh-CN; rv:1.9b1) Gecko/2007110904 Firefox/3.0b1

AMO Localization for zh-CN. My AMO account name is steekid@gmail.com

Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Comment 1 User image Wil Clouser [:clouserw] 2007-12-08 00:30:19 PST
Hi Jin,

Thanks for your interest in AMO localization.  Please read http://wiki.mozilla.org/Update:Localizers if you haven't already.

I'm CCing Wen on this bug (the zh-CN owner) for his approval.  If you're not already affiliated with the zn-CN team, you'll need to coordinate this with Wen.

Let me know if I can help.
Comment 2 User image Shaohua Wen 2007-12-09 23:57:52 PST
Hi Wil,
  It's my pleasure to approve for Jin.  
Comment 3 User image Hao Shen 2008-01-19 06:23:30 PST
Created attachment 297956 [details]
developer agreement
Comment 4 User image Hao Shen 2008-01-19 06:23:59 PST
Created attachment 297957 [details]
error404
Comment 5 User image Hao Shen 2008-01-19 06:24:19 PST
Created attachment 297958 [details]
flowchart
Comment 6 User image Hao Shen 2008-01-19 06:24:45 PST
Created attachment 297959 [details]
messages.po
Comment 7 User image Hao Shen 2008-01-19 06:25:28 PST
Created attachment 297960 [details]
nomination
Comment 8 User image Hao Shen 2008-01-19 06:25:46 PST
Created attachment 297961 [details]
policy
Comment 9 User image Hao Shen 2008-01-19 06:25:59 PST
Created attachment 297962 [details]
sandbox
Comment 10 User image Hao Shen 2008-01-19 06:26:21 PST
Created attachment 297963 [details]
submission help
Comment 11 User image Wil Clouser [:clouserw] 2008-01-19 15:26:22 PST
This is great Jin.  I committed all your files to SVN (r9710) and you can preview the site here:

  http://remora.stage.mozilla.com/zh-CN/firefox/

If everything looks good to you, reply to this bug and I'll make zh-CN appear in the language drop down box and we'll get this scheduled for the next push to addons.mozilla.org.

Thanks for all your great work!

Also, I've let fligtar know we need the image from comment #5 made.  He should have it in SVN soon.
Comment 12 User image Hao Shen 2008-01-20 02:14:32 PST
Created attachment 298086 [details]
developer agreement
Comment 13 User image Hao Shen 2008-01-20 02:15:03 PST
Created attachment 298087 [details]
error404
Comment 14 User image Hao Shen 2008-01-20 02:15:28 PST
Created attachment 298088 [details]
messages.po
Comment 15 User image Hao Shen 2008-01-20 02:15:49 PST
Created attachment 298089 [details]
nomination
Comment 16 User image Hao Shen 2008-01-20 02:16:14 PST
Created attachment 298090 [details]
policy
Comment 17 User image Hao Shen 2008-01-20 02:16:36 PST
Created attachment 298091 [details]
sandbox
Comment 18 User image Hao Shen 2008-01-20 02:17:21 PST
Created attachment 298092 [details]
submission help
Comment 19 User image Hao Shen 2008-01-20 02:19:45 PST
For so many changes, I am very sorry.
Comment 20 User image Wil Clouser [:clouserw] 2008-01-20 09:26:59 PST
(In reply to comment #19)
> For so many changes, I am very sorry.
> 

No problem.  I've put your changes in SVN.  Let me know if they look good to you.

Also, your messages.po had a few syntax errors (missing quotes).  I fixed it up and you can grab the latest one here: http://svn.mozilla.org/addons/trunk/site/app/locale/zh_CN/LC_MESSAGES/messages.po

Thanks! :)
Comment 21 User image Hao Shen 2008-01-20 18:15:39 PST
Created attachment 298193 [details]
messages.po
Comment 22 User image Hao Shen 2008-01-20 18:16:45 PST
This is the last revision, you can go to the next process, thank you.:)
Comment 23 User image Wil Clouser [:clouserw] 2008-01-21 17:44:24 PST
Thanks Jin.  This is in SVN (r9720).  It'll be live with our next push.
Comment 24 User image Shaohua Wen 2008-01-31 17:30:31 PST
Hi Wil,
  In the AMO zh-CN pages, there are still some strings are not translated, see: https://addons.mozilla.org/zh-CN/firefox/browse/type:1
 https://addons.mozilla.org/zh-CN/firefox/browse/type:2 .  We checked the en_US messages.po but not able to find those strings like: "Extensions are small add-ons that add new functionality to Firefox, from a simple toolbar button to a completely new feature. They allow you to customize Firefox to fit your own needs and preferences, while letting us keep Firefox itself light and lean.", Could you tell us what need to be done to localize them? Any document we can refer to?

 
Comment 25 User image Wil Clouser [:clouserw] 2008-01-31 17:56:30 PST
Hi Shaohua,

The document for localizing is http://wiki.mozilla.org/Update:Localizers.  The localizations you are talking about are mentioned briefly there:  "Once everything is setup, when you login to addons.mozilla.org, there will be a link in the left menu that says 'localizer tools.'"

I've added you and Jin to the group so you should both see the link.  Thanks! :)
Comment 26 User image Shaohua Wen 2008-01-31 18:20:30 PST
That's fine! Thanks!
BTW: Is it possible to apply for  svn account for us also? We are not able to access bug 356627 mentioned in the wiki page.
Comment 27 User image Wil Clouser [:clouserw] 2008-02-01 09:53:14 PST
(In reply to comment #26)
> That's fine! Thanks!
> BTW: Is it possible to apply for  svn account for us also? We are not able to
> access bug 356627 mentioned in the wiki page.
> 

Absolutely.  That bug was just to give a bunch of localizers accounts, but it's becoming more outdated as time goes on. I wrote some quick instructions for getting SVN accounts here http://wiki.mozilla.org/SVN#SVN_account_for_localizers if you want to be the guinea pigs and tell me how it works. :)
Comment 28 User image Wil Clouser [:clouserw] 2008-03-05 11:41:32 PST
Hi,

This is just a friendly reminder that I'm sending to all the AMO L10n bugs:

The 3.2 redesign is going live in just over a week and a half.  If you can't make the schedule or you have any questions please let me know.  If you've already updated your locales, thanks so much - they're looking great. :)
Comment 29 User image Hao Shen 2008-03-16 06:19:54 PDT
Created attachment 309756 [details]
messages.po zh-CN for remora 3.2
Comment 30 User image Hao Shen 2008-03-16 06:21:56 PDT
Created attachment 309757 [details]
new specialized page to zh-CN

statistics_help.thtml
Comment 31 User image Hao Shen 2008-03-17 07:14:44 PDT
Created attachment 309965 [details]
messages.po zh-CN for remora 3.2 with some reviews
Comment 32 User image Hao Shen 2008-03-17 07:15:30 PDT
Created attachment 309966 [details]
error404 for remora 3.2
Comment 33 User image Hao Shen 2008-03-17 07:22:46 PDT
Translation done for AMO 3.2
Comment 34 User image Wil Clouser [:clouserw] 2008-03-17 09:03:13 PDT
Thanks Jin.  In SVN, r11318
Comment 35 User image Hao Shen 2008-03-19 07:06:09 PDT
Created attachment 310462 [details]
messages.po for some fixes
Comment 36 User image Hao Shen 2008-03-19 07:10:41 PDT
I have reviewed all files. They are ready for release.:)
Comment 37 User image Wil Clouser [:clouserw] 2008-03-19 23:22:54 PDT
Thanks Jin.  Latest changes are in r11420.
Comment 38 User image rainofchaos@gmail.com 2008-03-20 08:20:09 PDT
Maybe "建立你自己的"  in 

https://addons.mozilla.org/zh-CN/firefox/

should change to "建立新扩展"

And Extention is translated in to "扩展" in firefox software , it is a better idea to keep them consistent.

Comment 39 User image Hao Shen 2008-03-29 00:54:27 PDT
Created attachment 312444 [details]
messages.po for date formatting fixed
Comment 40 User image Hao Shen 2008-03-29 00:54:55 PDT
date formatting fixed
Comment 41 User image Wil Clouser [:clouserw] 2008-04-01 00:10:30 PDT
Thanks, r11821
Comment 42 User image Hao Shen 2008-04-20 01:18:02 PDT
Created attachment 316668 [details]
messages.po for r12237

update for ignoring version check
Comment 43 User image Hao Shen 2008-04-22 06:23:36 PDT
updated for ignoring version check
Comment 44 User image Wil Clouser [:clouserw] 2008-04-22 11:24:01 PDT
Thanks, in SVN, r12445
Comment 45 User image Hao Shen 2008-04-26 23:56:47 PDT
Created attachment 317964 [details]
messages.po for some fixes

some fixes
Comment 46 User image Hao Shen 2008-04-26 23:58:54 PDT
Updated for r12555, for string "feature_reviews", and for string "addon_reviewed_by_u_on_d".
Comment 47 User image Wil Clouser [:clouserw] 2008-04-29 10:57:53 PDT
in SVN, r12645
Comment 48 User image Hao Shen 2008-05-17 01:35:12 PDT
Created attachment 321358 [details]
messages.po update on 20080517
Comment 49 User image Hao Shen 2008-05-17 01:36:12 PDT
Some fixes. "email address change strings" etc...
Comment 50 User image Wil Clouser [:clouserw] 2008-05-19 11:03:04 PDT
r13309
Comment 51 User image Hao Shen 2008-07-20 07:19:13 PDT
Created attachment 330460 [details]
some fix on 080720
Comment 52 User image Hao Shen 2008-07-20 07:19:56 PDT
Some fixes for r17139
Comment 53 User image Wil Clouser [:clouserw] 2008-07-30 14:25:51 PDT
Thanks, r17464
Comment 54 User image Hao Shen 2008-10-11 21:06:32 PDT
Created attachment 342756 [details]
some fix for r18968
Comment 55 User image Hao Shen 2008-10-11 21:07:16 PDT
some fix for r18968 of messages.po
Comment 56 User image Wil Clouser [:clouserw] 2008-10-11 22:05:22 PDT
Thanks, r19000
Comment 57 User image Hao Shen 2009-01-23 05:26:59 PST
Created attachment 358384 [details]
some fix for r21653
Comment 58 User image Hao Shen 2009-01-23 05:28:51 PST
some fix for r21653 of messages.po
Comment 59 User image Wil Clouser [:clouserw] 2009-01-23 09:27:52 PST
Update is in r21695.  thanks
Comment 60 User image Hao Shen 2009-01-27 02:40:55 PST
Created attachment 359021 [details]
AMO compatibility dashboard strings
Comment 61 User image Hao Shen 2009-01-27 02:41:20 PST
Update for AMO compatibility dashboard strings
Comment 62 User image Wil Clouser [:clouserw] 2009-01-27 09:23:12 PST
You changed a bunch of strings but they are still marked "fuzzy" which means they won't be shown on the site.  Is that on purpose or should I remove the fuzzy flags?
Comment 63 User image Ryan Doherty (:rdoherty) 2009-01-27 15:54:04 PST
Created attachment 359153 [details]
Draft translated sandbox review process

Here's the first draft of the translated sandbox review process, questions below:

- Can long lines be split into multiple lines? (See image for specific lines)
- Is the font size large enough? I upped to to 12 for the grey text and 14 for the blue, but I want to make sure they are readable.
Comment 64 User image Hao Shen 2009-01-27 18:35:40 PST
(In reply to comment #62)
> You changed a bunch of strings but they are still marked "fuzzy" which means
> they won't be shown on the site.  Is that on purpose or should I remove the
> fuzzy flags?

Oh...Sorry. Please remove these flags, thank you. :)
Comment 65 User image Hao Shen 2009-01-27 18:42:10 PST
(In reply to comment #63)
> Created an attachment (id=359153) [details]
> Draft translated sandbox review process
> 
> Here's the first draft of the translated sandbox review process, questions
> below:
> 
> - Can long lines be split into multiple lines? (See image for specific lines)

Yes, of course. 

> - Is the font size large enough? I upped to to 12 for the grey text and 14 for
> the blue, but I want to make sure they are readable.

Yes, it is. Thank you. :)
Comment 66 User image Wil Clouser [:clouserw] 2009-01-28 13:59:24 PST
(In reply to comment #64)
> (In reply to comment #62)
> > You changed a bunch of strings but they are still marked "fuzzy" which means
> > they won't be shown on the site.  Is that on purpose or should I remove the
> > fuzzy flags?
> 
> Oh...Sorry. Please remove these flags, thank you. :)

I went through the file and removed 169 fuzzy flags, so that should help the usability of the site a lot.  Only 1 remains now.  Thanks! r21836
Comment 67 User image Ryan Doherty (:rdoherty) 2009-01-28 17:12:55 PST
Created attachment 359422 [details]
2nd draft of sandbox review process

Second draft of sandbox review process. Line breaks added. Let me know if anything needs to be changed.
Comment 68 User image Hao Shen 2009-01-28 19:51:16 PST
I thinks it is OK.
Comment 69 User image Ryan Doherty (:rdoherty) 2009-01-29 09:36:53 PST
Sandbox review image in r21851
Comment 70 User image Hao Shen 2009-03-14 01:02:29 PDT
Created attachment 367357 [details]
update r23024 for messages.po
Comment 71 User image Hao Shen 2009-03-14 01:03:07 PDT
update r23024 for messages.po
Comment 72 User image Wil Clouser [:clouserw] 2009-11-10 17:42:38 PST
Mass-close of L10n bugs.  We're using the newsgroups to notify localizers about updates so there isn't much of a reason to leave these open.  If you have a specific case, feel free to reopen.

Thanks for all your help! :)

Note You need to log in before you can comment on or make changes to this bug.